### Method

# Gimp Vectors stroke_get_point_at_dist

since: 2.4

#### Declaration [src]

    gboolean
    gimp_vectors_stroke_get_point_at_dist (
      GimpVectors* vectors,
      gint stroke_id,
      gdouble dist,
      gdouble precision,
      gdouble* x_point,
      gdouble* y_point,
      gdouble* slope,
      gboolean* valid
    )

#### Description [src]

Get point at a specified distance along the stroke.

This will return the x,y position of a point at a given distance along the stroke. The distance will be obtained by first digitizing the curve internally and then walking along the curve. For a closed stroke the start of the path is the first point on the path that was created. This might not be obvious. If the stroke is not long enough, a "valid" flag will be FALSE.

Available since: 2.4

#### Parameters

`stroke_id`

  Type: `gint`

  The stroke ID.

`dist`

  Type: `gdouble`

  The given distance.

`precision`

  Type: `gdouble`

  The precision used for the approximation.

`x_point`

  Type: `gdouble*`

  The x position of the point.

  The argument will be set by the function.

`y_point`

  Type: `gdouble*`

  The y position of the point.

  The argument will be set by the function.

`slope`

  Type: `gdouble*`

  The slope (dy / dx) at the specified point.

  The argument will be set by the function.

`valid`

  Type: `gboolean*`

  Indicator for the validity of the returned data.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

TRUE on success.